//-----------------------------------------------------------------------------
//
//   countdownDlg.h
//
//   Class definition of the class countdownDlg (Countdown Dialog Frame)
//
//    2007 by Bernd-Ludwig Wenning
//
//-----------------------------------------------------------------------------
//
//  This file is part of RC4.
//
//    RC4 is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    RCM is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with RC4; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//-----------------------------------------------------------------------------

#ifndef __COUNTDOWNDLG_HPP_
#define __COUNTDOWNDLG_HPP_


// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif


//Do not add custom headers.
//wx-dvcpp designer will remove them
////Header Include Start
#include <wx/button.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
////Header Include End

#include <wx/dialog.h>
#include <wx/gauge.h>

//Compatibility for 2.4.x code
#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

////Dialog Style Start
	#define CD_DIALOG_STYLE wxCAPTION | wxDIALOG_NO_PARENT |  wxCLOSE_BOX
////Dialog Style End

class countdownDlg : public wxDialog
{
public:
    countdownDlg( wxWindow *parent, wxWindowID id = 1, const wxString &title = _T("Configure Countdown"),
        const wxPoint& pos = wxDefaultPosition,
        const wxSize& size = wxDefaultSize,
        long style = CD_DIALOG_STYLE);
    virtual ~countdownDlg();

public:

  //Do not add custom Control Declarations here.
  //wx-devcpp will remove them. Try adding the custom code 
  //after the block.
  ////GUI Control Declaration Start
	wxButton *WxButton1;
	wxStaticText *WxStaticText2;
	wxStaticText *WxStaticText1;
	wxTextCtrl *WxEdit2;
	wxTextCtrl *WxEdit1;
  ////GUI Control Declaration End

private:
    DECLARE_EVENT_TABLE()

public:
    //Note: if you receive any error with these enums, then you need to
    //change your old form code that are based on the #define control ids.
    //#defines may replace a numeric value for the enums names.
    //Try copy pasting the below block in your old Form header Files.
	enum {
////GUI Enum Control ID Start
ID_WXBUTTON1 = 1005 ,
ID_WXSTATICTEXT2 = 1004 ,
ID_WXSTATICTEXT1 = 1003 ,
ID_WXEDIT2 = 1002 ,
ID_WXEDIT1 = 1001 ,
////GUI Enum Control ID End
   ID_DUMMY_VALUE_ //Dont Delete this DummyValue
   }; //End of Enum

public:
    void countdownDlgClose(wxCloseEvent& event);
    void CreateGUIControls(void);
	void WxButton1Click(wxCommandEvent& event);
	void SetCountdownParams(HANDLE hnd, bool bdtr, wxGauge* wxg);

private:
    wxGauge* gauge;
    bool dtr;
    HANDLE rch;
};


#endif
 
 
 
 
