//-----------------------------------------------------------------------------
//
//   tasktimerDlg.cpp
//
//   Implementation of the class tasktimerDlg (Task Timer Configuration Dialog Frame)
//
//    2007 by Bernd-Ludwig Wenning
//
//-----------------------------------------------------------------------------
//
//  This file is part of RC4.
//
//    RC4 is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    RCM is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with RC4; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//-----------------------------------------------------------------------------

#include "tasktimerDlg.h"

//Do not add custom headers.
//wx-dvcpp designer will remove them
////Header Include Start
////Header Include End



//----------------------------------------------------------------------------
// tasktimerDlg
//----------------------------------------------------------------------------
     //Add Custom Events only in the appropriate Block.
    // Code added in  other places will be removed by wx-dvcpp 
    ////Event Table Start
BEGIN_EVENT_TABLE(tasktimerDlg,wxDialog)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(tasktimerDlg::tasktimerDlgClose)
	EVT_BUTTON(ID_WXBUTTON1,tasktimerDlg::WxButton1Click)
END_EVENT_TABLE()
    ////Event Table End



tasktimerDlg::tasktimerDlg( wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style )
    : wxDialog( parent, id, title, position, size, style)
{
    CreateGUIControls();
}

tasktimerDlg::~tasktimerDlg() {} 

void tasktimerDlg::CreateGUIControls(void)
{
    //Do not add custom Code here
    //wx-devcpp designer will remove them.
    //Add the custom code before or after the Blocks
    ////GUI Items Creation Start

	this->SetSize(8,8,320,199);
	this->SetTitle(_("Configure Timer"));
	this->Center();
	this->SetIcon(wxNullIcon);
	

	WxButton1 =  new wxButton(this, ID_WXBUTTON1, _("Configure!") , wxPoint(2,144),wxSize(308,25) );

	WxStaticText16 =  new wxStaticText(this, ID_WXSTATICTEXT16 ,_("min") ,wxPoint(289,115),wxSize(20,17)  );

	WxStaticText15 =  new wxStaticText(this, ID_WXSTATICTEXT15 ,_("min") ,wxPoint(289,83),wxSize(20,17)  );

	WxStaticText14 =  new wxStaticText(this, ID_WXSTATICTEXT14 ,_("min") ,wxPoint(289,51),wxSize(20,17)  );

	WxStaticText13 =  new wxStaticText(this, ID_WXSTATICTEXT13 ,_("min") ,wxPoint(289,18),wxSize(20,17)  );

	WxStaticText12 =  new wxStaticText(this, ID_WXSTATICTEXT12 ,_("h") ,wxPoint(225,115),wxSize(10,17)  );

	WxStaticText11 =  new wxStaticText(this, ID_WXSTATICTEXT11 ,_("h") ,wxPoint(225,83),wxSize(10,17)  );

	WxStaticText10 =  new wxStaticText(this, ID_WXSTATICTEXT10 ,_("h") ,wxPoint(225,51),wxSize(10,17)  );

	WxStaticText9 =  new wxStaticText(this, ID_WXSTATICTEXT9 ,_("h") ,wxPoint(225,18),wxSize(10,17)  );

	WxStaticText8 =  new wxStaticText(this, ID_WXSTATICTEXT8 ,_("at") ,wxPoint(158,115),wxSize(13,17)  );

	WxStaticText7 =  new wxStaticText(this, ID_WXSTATICTEXT7 ,_("at") ,wxPoint(158,84),wxSize(13,17)  );

	WxStaticText6 =  new wxStaticText(this, ID_WXSTATICTEXT6 ,_("at") ,wxPoint(158,51),wxSize(13,17)  );

	WxStaticText5 =  new wxStaticText(this, ID_WXSTATICTEXT5 ,_("at") ,wxPoint(158,18),wxSize(13,17)  );

	WxStaticText4 =  new wxStaticText(this, ID_WXSTATICTEXT4 ,_("Task 4") ,wxPoint(8,115),wxSize(37,17)  );

	WxStaticText3 =  new wxStaticText(this, ID_WXSTATICTEXT3 ,_("Task 3") ,wxPoint(8,83),wxSize(37,17)  );

	WxStaticText2 =  new wxStaticText(this, ID_WXSTATICTEXT2 ,_("Task 2") ,wxPoint(8,51),wxSize(37,17)  );

	WxStaticText1 =  new wxStaticText(this, ID_WXSTATICTEXT1 ,_("Task 1") ,wxPoint(8,18),wxSize(37,17)  );

	wxArrayString arrayStringFor_WxComboBox4;
	arrayStringFor_WxComboBox4.Add(_("Do nothing"));
	arrayStringFor_WxComboBox4.Add(_("Switch on"));
	arrayStringFor_WxComboBox4.Add(_("Switch off"));
	WxComboBox4 =  new wxComboBox(this, ID_WXCOMBOBOX4 ,_("select task") ,wxPoint(63,112),wxSize(85,21), arrayStringFor_WxComboBox4   );

	wxArrayString arrayStringFor_WxComboBox3;
	arrayStringFor_WxComboBox3.Add(_("Do nothing"));
	arrayStringFor_WxComboBox3.Add(_("Switch on"));
	arrayStringFor_WxComboBox3.Add(_("Switch off"));
	WxComboBox3 =  new wxComboBox(this, ID_WXCOMBOBOX3 ,_("select task") ,wxPoint(63,80),wxSize(85,21), arrayStringFor_WxComboBox3   );

	wxArrayString arrayStringFor_WxComboBox2;
	arrayStringFor_WxComboBox2.Add(_("Do nothing"));
	arrayStringFor_WxComboBox2.Add(_("Switch on"));
	arrayStringFor_WxComboBox2.Add(_("Switch off"));
	WxComboBox2 =  new wxComboBox(this, ID_WXCOMBOBOX2 ,_("select task") ,wxPoint(63,48),wxSize(85,21), arrayStringFor_WxComboBox2   );

	wxArrayString arrayStringFor_WxComboBox1;
	arrayStringFor_WxComboBox1.Add(_("Do nothing"));
	arrayStringFor_WxComboBox1.Add(_("Switch on"));
	arrayStringFor_WxComboBox1.Add(_("Switch off"));
	WxComboBox1 =  new wxComboBox(this, ID_WXCOMBOBOX1 ,_("select task") ,wxPoint(63,15),wxSize(85,21), arrayStringFor_WxComboBox1   );

	WxEdit8 =  new wxTextCtrl(this, ID_WXEDIT8, _("") , wxPoint(248,112),wxSize(35,21) );
	WxEdit8->SetMaxLength(0);

	WxEdit7 =  new wxTextCtrl(this, ID_WXEDIT7, _("") , wxPoint(248,80),wxSize(35,21) );
	WxEdit7->SetMaxLength(0);

	WxEdit6 =  new wxTextCtrl(this, ID_WXEDIT6, _("") , wxPoint(248,48),wxSize(35,21) );
	WxEdit6->SetMaxLength(0);

	WxEdit5 =  new wxTextCtrl(this, ID_WXEDIT5, _("") , wxPoint(248,15),wxSize(35,21) );
	WxEdit5->SetMaxLength(0);

	WxEdit4 =  new wxTextCtrl(this, ID_WXEDIT4, _("") , wxPoint(184,112),wxSize(35,21) );
	WxEdit4->SetMaxLength(0);

	WxEdit3 =  new wxTextCtrl(this, ID_WXEDIT3, _("") , wxPoint(184,80),wxSize(35,21) );
	WxEdit3->SetMaxLength(0);

	WxEdit2 =  new wxTextCtrl(this, ID_WXEDIT2, _("") , wxPoint(184,48),wxSize(35,21) );
	WxEdit2->SetMaxLength(0);

	WxEdit1 =  new wxTextCtrl(this, ID_WXEDIT1, _("") , wxPoint(184,15),wxSize(35,21) );
	WxEdit1->SetMaxLength(0);
    ////GUI Items Creation End
}

void tasktimerDlg::tasktimerDlgClose(wxCloseEvent& event)
{
    Destroy();
}

/*
 * Add a task timer
 */ 
void tasktimerDlg::addTaskTimer(tasktimer* timer)
{
     this->tt = timer;
}

/*
 * Click on Configure-Button
 */
void tasktimerDlg::WxButton1Click(wxCommandEvent& event)
{
    tasks tsk;
    tsk.t1h = atoi(WxEdit1->GetValue().c_str());
    tsk.t1m = atoi(WxEdit5->GetValue().c_str());
    tsk.t2h = atoi(WxEdit2->GetValue().c_str());
    tsk.t2m = atoi(WxEdit6->GetValue().c_str());
    tsk.t3h = atoi(WxEdit3->GetValue().c_str());
    tsk.t3m = atoi(WxEdit7->GetValue().c_str());
    tsk.t4h = atoi(WxEdit4->GetValue().c_str());
    tsk.t4m = atoi(WxEdit8->GetValue().c_str());
    tsk.t1on = WxComboBox1->GetValue().Contains("on");
    tsk.t2on = WxComboBox2->GetValue().Contains("on");
    tsk.t3on = WxComboBox3->GetValue().Contains("on");
    tsk.t4on = WxComboBox4->GetValue().Contains("on");
    tt->settimer(tsk);
    Destroy();
}
