//-----------------------------------------------------------------------------
//
//   cdtimer.h
//
//   Class definition of the class cdtimer (Countdown timer thread)
//
//    2004-2007 by Bernd-Ludwig Wenning
//
//-----------------------------------------------------------------------------
//
//  This file is part of RC4.
//
//    RC4 is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    RCM is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with RC4; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//-----------------------------------------------------------------------------

#ifndef __cdtimer_h
#define __cdtimer_h

#include <wx/thread.h>
#include <wx/gauge.h>
#include "relctrl.h"

class cdtimer : public wxThread
{
private:
        RelayControl relc;
        int countup, countdown;
        bool bdtr;
        wxGauge* wxg;
public:
        cdtimer(HANDLE rch, bool dtr, wxGauge* gauge, int up, int down);
        virtual void* Entry();
};

#endif
