//-----------------------------------------------------------------------------
//
//   tasktimerDlg.h
//
//   Class definition of the class tasktimerDlg (Task Timer Configuration Dialog Frame)
//
//    2007 by Bernd-Ludwig Wenning
//
//-----------------------------------------------------------------------------
//
//  This file is part of RC4.
//
//    RC4 is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    RCM is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with RC4; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//-----------------------------------------------------------------------------

#ifndef __TASKTIMERDLG_HPP_
#define __TASKTIMERDLG_HPP_


// For compilers that support precompilation, includes "wx.h".
#include <wx/wxprec.h>

#ifdef __BORLANDC__
#pragma hdrstop
#endif

#ifndef WX_PRECOMP
// Include your minimal set of headers here, or wx.h
#include <wx/wx.h>
#endif


//Do not add custom headers.
//wx-dvcpp designer will remove them
////Header Include Start
#include <wx/button.h>
#include <wx/stattext.h>
#include <wx/combobox.h>
#include <wx/textctrl.h>
////Header Include End

#include <wx/dialog.h>

#include "tasktimer.h"

//Compatibility for 2.4.x code
#ifndef wxCLOSE_BOX
#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
#define wxFIXED_MINSIZE 0
#endif

////Dialog Style Start
	#define TT_DIALOG_STYLE wxCAPTION | wxDIALOG_NO_PARENT |  wxCLOSE_BOX
////Dialog Style End

class tasktimerDlg : public wxDialog
{
public:
    tasktimerDlg( wxWindow *parent, wxWindowID id = 1, const wxString &title = _T("Configure Timer"),
        const wxPoint& pos = wxDefaultPosition,
        const wxSize& size = wxDefaultSize,
        long style = TT_DIALOG_STYLE);
    virtual ~tasktimerDlg();

public:

  //Do not add custom Control Declarations here.
  //wx-devcpp will remove them. Try adding the custom code 
  //after the block.
  ////GUI Control Declaration Start
	wxButton *WxButton1;
	wxStaticText *WxStaticText16;
	wxStaticText *WxStaticText15;
	wxStaticText *WxStaticText14;
	wxStaticText *WxStaticText13;
	wxStaticText *WxStaticText12;
	wxStaticText *WxStaticText11;
	wxStaticText *WxStaticText10;
	wxStaticText *WxStaticText9;
	wxStaticText *WxStaticText8;
	wxStaticText *WxStaticText7;
	wxStaticText *WxStaticText6;
	wxStaticText *WxStaticText5;
	wxStaticText *WxStaticText4;
	wxStaticText *WxStaticText3;
	wxStaticText *WxStaticText2;
	wxStaticText *WxStaticText1;
	wxComboBox *WxComboBox4;
	wxComboBox *WxComboBox3;
	wxComboBox *WxComboBox2;
	wxComboBox *WxComboBox1;
	wxTextCtrl *WxEdit8;
	wxTextCtrl *WxEdit7;
	wxTextCtrl *WxEdit6;
	wxTextCtrl *WxEdit5;
	wxTextCtrl *WxEdit4;
	wxTextCtrl *WxEdit3;
	wxTextCtrl *WxEdit2;
	wxTextCtrl *WxEdit1;
  ////GUI Control Declaration End

private:
    DECLARE_EVENT_TABLE()

public:
    //Note: if you receive any error with these enums, then you need to
    //change your old form code that are based on the #define control ids.
    //#defines may replace a numeric value for the enums names.
    //Try copy pasting the below block in your old Form header Files.
	enum {
////GUI Enum Control ID Start
ID_WXBUTTON1 = 1030 ,
ID_WXSTATICTEXT16 = 1029 ,
ID_WXSTATICTEXT15 = 1028 ,
ID_WXSTATICTEXT14 = 1027 ,
ID_WXSTATICTEXT13 = 1026 ,
ID_WXSTATICTEXT12 = 1025 ,
ID_WXSTATICTEXT11 = 1024 ,
ID_WXSTATICTEXT10 = 1023 ,
ID_WXSTATICTEXT9 = 1022 ,
ID_WXSTATICTEXT8 = 1021 ,
ID_WXSTATICTEXT7 = 1020 ,
ID_WXSTATICTEXT6 = 1019 ,
ID_WXSTATICTEXT5 = 1018 ,
ID_WXSTATICTEXT4 = 1017 ,
ID_WXSTATICTEXT3 = 1016 ,
ID_WXSTATICTEXT2 = 1015 ,
ID_WXSTATICTEXT1 = 1014 ,
ID_WXCOMBOBOX4 = 1013 ,
ID_WXCOMBOBOX3 = 1012 ,
ID_WXCOMBOBOX2 = 1011 ,
ID_WXCOMBOBOX1 = 1010 ,
ID_WXEDIT8 = 1008 ,
ID_WXEDIT7 = 1007 ,
ID_WXEDIT6 = 1006 ,
ID_WXEDIT5 = 1005 ,
ID_WXEDIT4 = 1004 ,
ID_WXEDIT3 = 1003 ,
ID_WXEDIT2 = 1002 ,
ID_WXEDIT1 = 1001 ,
////GUI Enum Control ID End
   ID_DUMMY_VALUE_ //Dont Delete this DummyValue
   }; //End of Enum

tasktimer* tt;

public:
    void tasktimerDlgClose(wxCloseEvent& event);
    void CreateGUIControls(void);
    void addTaskTimer(tasktimer*);
	void WxButton1Click(wxCommandEvent& event);

};


#endif
 
 
 
 
